Delete from Wishlist
curl --request DELETE \
--url https://prod01-apigw.{customer_name}.fabric.zone/api-cart/wishlist/user/item/{itemId} \
--header 'Authorization: <authorization>' \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01-apigw.{customer_name}.fabric.zone/api-cart/wishlist/user/item/{itemId}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "<authorization>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-site-context': '<x-site-context>', Authorization: '<authorization>'}
};
fetch('https://prod01-apigw.{customer_name}.fabric.zone/api-cart/wishlist/user/item/{itemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userId": "5ff5d4a40227d073b02dcfeb",
"items": [
1000000014
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "INVALID_AUTHORIZATION_TOKEN",
"message": "Invalid Authorization Token"
}{
"code": "WISHLIST_NOT_FOUND",
"message": "Wishlist not found."
}{
"code": "<string>",
"message": "<string>"
}Wishlist
Delete from Wishlist
Delete from Wishlist
DELETE
/
api-cart
/
wishlist
/
user
/
item
/
{itemId}
Delete from Wishlist
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
Example:
"1000000012"
Was this page helpful?
⌘I
